Bug 148135 - [MAINTAINER] databases/pgsphere: fix deinstallation when NOPORTDOCS is set
Summary: [MAINTAINER] databases/pgsphere: fix deinstallation when NOPORTDOCS is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-25 09:50 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2010-06-30 12:50 UTC (History)
0 users

See Also:


Attachments
pgsphere-1.1.1.patch (882 bytes, patch)
2010-06-25 09:50 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2010-06-25 09:50:01 UTC
This PR handles @comment (%%PORTDOCS%% when NOPORTDOCS) entries in $PLIST_DIRS.
Before @comment handling in bsd.port.mk (PR/147476) being committed, This PR fixes deinstallion when NOPORTDOCS is set.

Generated with FreeBSD Port Tools 0.99

How-To-Repeat: 
ports/databases/pgsphere with NOPORTDOCS=yes.

% cd /usr/ports/databases/pgsphere
% make -V PLIST_DIRS
%%DATADIR%%/contrib %%PORTDOCS%%%%DOCSDIR%%/contrib
% make NOPORTDOCS=yes install deinstall
...
===> Deinstalling for databases/pgsphere
===> Deinstalling pgsphere-1.1.1
pkg_delete: file '/usr/local/@comment share/doc/postgresql/contrib' doesn't exist
pkg_delete: unable to completely remove directory '/usr/local/@comment share/doc/postgresql/contrib'
pkg_delete: couldn't entirely delete package (perhaps the packing list is incorrectly specified?)
% cat `make -V TMPPLIST`
lib/postgresql/pg_sphere.so
share/postgresql/contrib/pg_sphere.sql
@comment share/doc/postgresql/contrib/README.pg_sphere
@comment share/doc/postgresql/contrib/COPYRIGHT.pg_sphere
@dirrm share/postgresql/contrib
@dirrm @comment share/doc/postgresql/contrib
@exec /sbin/ldconfig -m /usr/local/lib
@unexec /sbin/ldconfig -R
Comment 1 Sylvio Cesar Teixeira freebsd_committer 2010-06-28 17:11:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 2 Sylvio Cesar Teixeira freebsd_committer 2010-06-30 12:39:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-06-30 12:40:09 UTC
sylvio      2010-06-30 11:39:47 UTC

  FreeBSD ports repository

  Modified files:
    databases/pgsphere   Makefile 
  Log:
  - Fix deinstallation when NOPORTDOCS is set.
  
  PR:             ports/148135
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.3       +7 -5      ports/databases/pgsphere/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"